Index: testsuites/psxtests/psxconfig01/init.c
===================================================================
--- testsuites/psxtests/psxconfig01/init.c	(revision 217b3f53f635350f6595e97cd2a12d0d4ec6a9a4)
+++ testsuites/psxtests/psxconfig01/init.c	(revision e334edd1715abe7a82fea118ef1efc57806e1fe9)
@@ -439,8 +439,14 @@
 #if !defined(RTEMS_SMP)
 #ifdef CONFIGURE_MAXIMUM_TASK_VARIABLES
-  for (i = 0; i < CONFIGURE_MAXIMUM_TASK_VARIABLES; ++i) {
-    sc = rtems_task_variable_add(RTEMS_SELF, &task_var, task_var_dtor);
-    directive_failed(sc, "rtems_task_variable_add");
-  }
+  /*
+   * We know this is deprecated and don't want a warning on every BSP built.
+   */
+  #pragma GCC diagnostic push
+  #pragma GCC diagnostic ignored "-Wdeprecated-declarations"
+    for (i = 0; i < CONFIGURE_MAXIMUM_TASK_VARIABLES; ++i) {
+      sc = rtems_task_variable_add(RTEMS_SELF, &task_var, task_var_dtor);
+      directive_failed(sc, "rtems_task_variable_add");
+    }
+  #pragma GCC diagnostic pop
 #endif
 #endif
Index: testsuites/sptests/spclockget/init.c
===================================================================
--- testsuites/sptests/spclockget/init.c	(revision 217b3f53f635350f6595e97cd2a12d0d4ec6a9a4)
+++ testsuites/sptests/spclockget/init.c	(revision e334edd1715abe7a82fea118ef1efc57806e1fe9)
@@ -14,4 +14,6 @@
 #include <tmacros.h>
 #include "pritime.h"
+
+#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
 
 const char rtems_test_name[] = "SPCLOCKGET";
Index: testsuites/sptests/spnotepad01/init.c
===================================================================
--- testsuites/sptests/spnotepad01/init.c	(revision 217b3f53f635350f6595e97cd2a12d0d4ec6a9a4)
+++ testsuites/sptests/spnotepad01/init.c	(revision e334edd1715abe7a82fea118ef1efc57806e1fe9)
@@ -15,4 +15,9 @@
 
 const char rtems_test_name[] = "SPNOTEPAD 1";
+
+/*
+ * We know this is deprecated and don't want a warning on every BSP built.
+ */
+#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
 
 /* forward declarations to avoid warnings */
Index: testsuites/sptests/sptask_err04/task1.c
===================================================================
--- testsuites/sptests/sptask_err04/task1.c	(revision 217b3f53f635350f6595e97cd2a12d0d4ec6a9a4)
+++ testsuites/sptests/sptask_err04/task1.c	(revision e334edd1715abe7a82fea118ef1efc57806e1fe9)
@@ -51,189 +51,201 @@
   puts( "TA1 - rtems_task_delete - RTEMS_INVALID_ID" );
 
-  /* NULL return */
-  status = rtems_task_get_note( RTEMS_SELF, RTEMS_NOTEPAD_FIRST, NULL );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ADDRESS,
-    "rtems_task_get_note with NULL param"
-  );
-  puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ADDRESS" );
-
-  /* note too high */
-  status = rtems_task_get_note( RTEMS_SELF, 100, &notepad_value );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_NUMBER,
-    "rtems_task_get_note with illegal notepad"
-  );
-  puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_NUMBER" );
-
-  /* bad Id */
-  status = rtems_task_get_note( 100, RTEMS_NOTEPAD_LAST, &notepad_value );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_get_note with illegal id"
-  );
-  puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ID" );
-
-  /* unused Id so invalid now */
-  status = rtems_task_get_note(
-    Task_id[ 0 ],
-    RTEMS_NOTEPAD_LAST,
-    &notepad_value
-  );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_get_note with illegal id"
-  );
-  puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ID" );
-
-  status = rtems_task_get_note(
-    _RTEMS_tasks_Information.minimum_id + (3L<<OBJECTS_API_START_BIT),
-    RTEMS_NOTEPAD_LAST,
-    &notepad_value
-  );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_get_note with illegal id"
-  );
-
-  status = rtems_task_get_note(
-    rtems_build_id( OBJECTS_CLASSIC_API, 2, 1, 1 ),
-    RTEMS_NOTEPAD_LAST,
-    &notepad_value
-  );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_get_note with non-task ID"
-  );
-
-  /* NULL param */
-  status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, NULL );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ADDRESS,
-    "rtems_task_ident NULL param"
-  );
-  puts( "TA1 - rtems_task_ident - RTEMS_INVALID_ADDRESS" );
-
-  /* OK */
-  status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, &self_id );
-  directive_failed( status, "rtems_task_ident of self" );
-  if ( self_id != Task_id[ 1 ] ) {
-    puts( "ERROR - rtems_task_ident - incorrect ID returned!" );
-  }
-  puts( "TA1 - rtems_task_ident - current task RTEMS_SUCCESSFUL" );
-
-  status = rtems_task_ident( 100, RTEMS_SEARCH_ALL_NODES, &Junk_id );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_NAME,
-    "rtems_task_ident with illegal name (local)"
-  );
-  puts( "TA1 - rtems_task_ident - global RTEMS_INVALID_NAME" );
-
-  status = rtems_task_ident( 100, 1, &Junk_id );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_NAME,
-    "rtems_task_ident with illegal name (global)"
-  );
-  puts( "TA1 - rtems_task_ident - local RTEMS_INVALID_NAME" );
+  /** START OF NOTEPAD TESTS **/
 
   /*
-   *  This one case is different if MP is enabled/disabled.
+   * We know this is deprecated and don't want a warning on every BSP built.
    */
-
-  status = rtems_task_ident( 100, 2, &Junk_id );
-#if defined(RTEMS_MULTIPROCESSING)
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_NODE,
-    "rtems_task_ident with illegal node"
-  );
-#else
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_NAME,
-    "rtems_task_ident with illegal node"
-  );
-#endif
-  puts( "TA1 - rtems_task_ident - RTEMS_INVALID_NODE" );
-
-  status = rtems_task_restart( 100, 0 );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_restart with illegal id"
-  );
-  puts( "TA1 - rtems_task_restart - RTEMS_INVALID_ID" );
-
-  status = rtems_task_resume( 100 );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_resume with illegal id"
-  );
-  puts( "TA1 - rtems_task_resume - RTEMS_INVALID_ID" );
-
-  status = rtems_task_resume( RTEMS_SELF );
-  fatal_directive_status(
-    status,
-    RTEMS_INCORRECT_STATE,
-    "rtems_task_resume of ready task"
-  );
-  puts( "TA1 - rtems_task_resume - RTEMS_INCORRECT_STATE" );
-
-  /* NULL param */
-  status = rtems_task_set_priority( RTEMS_SELF, RTEMS_CURRENT_PRIORITY, NULL );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ADDRESS,
-    "rtems_task_set_priority with NULL param"
-  );
-  puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_ADDRESS" );
-
-  /* bad priority */
-  status = rtems_task_set_priority( RTEMS_SELF, 512, &previous_priority );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_PRIORITY,
-    "rtems_task_set_priority with illegal priority"
-  );
-  puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_PRIORITY" );
-
-  /* bad Id */
-  status = rtems_task_set_priority( 100, 8, &previous_priority );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_set_priority with illegal id"
-  );
-  puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_ID" );
-
-  status = rtems_task_set_note(
-    RTEMS_SELF,
-    RTEMS_NOTEPAD_LAST+10,
-    notepad_value
-  );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_NUMBER,
-    "rtems_task_set_note with illegal notepad"
-  );
-  puts( "TA1 - rtems_task_set_note - RTEMS_INVALID_NUMBER" );
-
-  status = rtems_task_set_note( 100, RTEMS_NOTEPAD_LAST, notepad_value );
-  fatal_directive_status(
-    status,
-    RTEMS_INVALID_ID,
-    "rtems_task_set_note with illegal id"
-  );
-  puts( "TA1 - rtems_task_set_note - RTEMS_INVALID_ID" );
+  #pragma GCC diagnostic push
+  #pragma GCC diagnostic ignored "-Wdeprecated-declarations"
+
+    /* NULL return */
+    status = rtems_task_get_note( RTEMS_SELF, RTEMS_NOTEPAD_FIRST, NULL );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ADDRESS,
+      "rtems_task_get_note with NULL param"
+    );
+    puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ADDRESS" );
+
+    /* note too high */
+    status = rtems_task_get_note( RTEMS_SELF, 100, &notepad_value );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_NUMBER,
+      "rtems_task_get_note with illegal notepad"
+    );
+    puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_NUMBER" );
+
+    /* bad Id */
+    status = rtems_task_get_note( 100, RTEMS_NOTEPAD_LAST, &notepad_value );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_get_note with illegal id"
+    );
+    puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ID" );
+
+    /* unused Id so invalid now */
+    status = rtems_task_get_note(
+      Task_id[ 0 ],
+      RTEMS_NOTEPAD_LAST,
+      &notepad_value
+    );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_get_note with illegal id"
+    );
+    puts( "TA1 - rtems_task_get_note - RTEMS_INVALID_ID" );
+
+    status = rtems_task_get_note(
+      _RTEMS_tasks_Information.minimum_id + (3L<<OBJECTS_API_START_BIT),
+      RTEMS_NOTEPAD_LAST,
+      &notepad_value
+    );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_get_note with illegal id"
+    );
+
+    status = rtems_task_get_note(
+      rtems_build_id( OBJECTS_CLASSIC_API, 2, 1, 1 ),
+      RTEMS_NOTEPAD_LAST,
+      &notepad_value
+    );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_get_note with non-task ID"
+    );
+
+    /* NULL param */
+    status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, NULL );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ADDRESS,
+      "rtems_task_ident NULL param"
+    );
+    puts( "TA1 - rtems_task_ident - RTEMS_INVALID_ADDRESS" );
+
+    /* OK */
+    status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, &self_id );
+    directive_failed( status, "rtems_task_ident of self" );
+    if ( self_id != Task_id[ 1 ] ) {
+      puts( "ERROR - rtems_task_ident - incorrect ID returned!" );
+    }
+    puts( "TA1 - rtems_task_ident - current task RTEMS_SUCCESSFUL" );
+
+    status = rtems_task_ident( 100, RTEMS_SEARCH_ALL_NODES, &Junk_id );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_NAME,
+      "rtems_task_ident with illegal name (local)"
+    );
+    puts( "TA1 - rtems_task_ident - global RTEMS_INVALID_NAME" );
+
+    status = rtems_task_ident( 100, 1, &Junk_id );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_NAME,
+      "rtems_task_ident with illegal name (global)"
+    );
+    puts( "TA1 - rtems_task_ident - local RTEMS_INVALID_NAME" );
+
+    /*
+     *  This one case is different if MP is enabled/disabled.
+     */
+
+    status = rtems_task_ident( 100, 2, &Junk_id );
+  #if defined(RTEMS_MULTIPROCESSING)
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_NODE,
+      "rtems_task_ident with illegal node"
+    );
+  #else
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_NAME,
+      "rtems_task_ident with illegal node"
+    );
+  #endif
+    puts( "TA1 - rtems_task_ident - RTEMS_INVALID_NODE" );
+
+    status = rtems_task_restart( 100, 0 );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_restart with illegal id"
+    );
+    puts( "TA1 - rtems_task_restart - RTEMS_INVALID_ID" );
+
+    status = rtems_task_resume( 100 );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_resume with illegal id"
+    );
+    puts( "TA1 - rtems_task_resume - RTEMS_INVALID_ID" );
+
+    status = rtems_task_resume( RTEMS_SELF );
+    fatal_directive_status(
+      status,
+      RTEMS_INCORRECT_STATE,
+      "rtems_task_resume of ready task"
+    );
+    puts( "TA1 - rtems_task_resume - RTEMS_INCORRECT_STATE" );
+
+    /* NULL param */
+    status = rtems_task_set_priority( RTEMS_SELF, RTEMS_CURRENT_PRIORITY, NULL );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ADDRESS,
+      "rtems_task_set_priority with NULL param"
+    );
+    puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_ADDRESS" );
+
+    /* bad priority */
+    status = rtems_task_set_priority( RTEMS_SELF, 512, &previous_priority );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_PRIORITY,
+      "rtems_task_set_priority with illegal priority"
+    );
+    puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_PRIORITY" );
+
+    /* bad Id */
+    status = rtems_task_set_priority( 100, 8, &previous_priority );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_set_priority with illegal id"
+    );
+    puts( "TA1 - rtems_task_set_priority - RTEMS_INVALID_ID" );
+
+    status = rtems_task_set_note(
+      RTEMS_SELF,
+      RTEMS_NOTEPAD_LAST+10,
+      notepad_value
+    );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_NUMBER,
+      "rtems_task_set_note with illegal notepad"
+    );
+    puts( "TA1 - rtems_task_set_note - RTEMS_INVALID_NUMBER" );
+
+    status = rtems_task_set_note( 100, RTEMS_NOTEPAD_LAST, notepad_value );
+    fatal_directive_status(
+      status,
+      RTEMS_INVALID_ID,
+      "rtems_task_set_note with illegal id"
+    );
+    puts( "TA1 - rtems_task_set_note - RTEMS_INVALID_ID" );
+
+  #pragma GCC diagnostic pop
+
+  /** END OF NOTEPAD TESTS **/
 
   status = rtems_task_start( 100, Task_1, 0 );
Index: testsuites/tmtests/tm08/task1.c
===================================================================
--- testsuites/tmtests/tm08/task1.c	(revision 217b3f53f635350f6595e97cd2a12d0d4ec6a9a4)
+++ testsuites/tmtests/tm08/task1.c	(revision e334edd1715abe7a82fea118ef1efc57806e1fe9)
@@ -187,29 +187,41 @@
     (void)  rtems_task_mode( RTEMS_PREEMPT, RTEMS_PREEMPT_MASK, &old_mode );
 
-  benchmark_timer_initialize();
-    for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_task_set_note( Test_task_id, 8, 10 );
-  end_time = benchmark_timer_read();
-
-  put_time(
-    "rtems_task_set_note: only case",
-    end_time,
-    OPERATION_COUNT,
-    overhead,
-    CALLING_OVERHEAD_TASK_SET_NOTE
-  );
-
-  benchmark_timer_initialize();
-    for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_task_get_note( Test_task_id, 8, &old_note );
-  end_time = benchmark_timer_read();
-
-  put_time(
-    "rtems_task_get_note: only case",
-    end_time,
-    OPERATION_COUNT,
-    overhead,
-    CALLING_OVERHEAD_TASK_GET_NOTE
-  );
+  /** START OF NOTEPAD TESTS **/
+
+  /*
+   * We know this is deprecated and don't want a warning on every BSP built.
+   */
+  #pragma GCC diagnostic push
+  #pragma GCC diagnostic ignored "-Wdeprecated-declarations"
+
+    benchmark_timer_initialize();
+      for ( index=1 ; index <= OPERATION_COUNT ; index++ )
+        (void) rtems_task_set_note( Test_task_id, 8, 10 );
+    end_time = benchmark_timer_read();
+
+    put_time(
+      "rtems_task_set_note: only case",
+      end_time,
+      OPERATION_COUNT,
+      overhead,
+      CALLING_OVERHEAD_TASK_SET_NOTE
+    );
+
+    benchmark_timer_initialize();
+      for ( index=1 ; index <= OPERATION_COUNT ; index++ )
+        (void) rtems_task_get_note( Test_task_id, 8, &old_note );
+    end_time = benchmark_timer_read();
+
+    put_time(
+      "rtems_task_get_note: only case",
+      end_time,
+      OPERATION_COUNT,
+      overhead,
+      CALLING_OVERHEAD_TASK_GET_NOTE
+    );
+
+  #pragma GCC diagnostic pop
+
+  /** END OF NOTEPAD TESTS **/
 
   build_time( &time, 1, 1, 1988, 0, 0, 0, 0 );
